- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

# patternconverter.h File Reference

## Namespaces
namespace | log4cxx
namespace | log4cxx::pattern
## Classes
class | PatternConverter
## Defines
#define | DECLARE_LOG4CXX_PATTERN(cls) DECLARE_ABSTRACT_LOG4CXX_OBJECT(cls)
## Typedefs
typedef std::vector< LogString > | log4cxx::pattern::OptionsList
## Functions
| log4cxx::pattern::LOG4CXX_PTR_DEF (PatternConverter)

## Define Documentation

#define DECLARE_LOG4CXX_PATTERN | ( | cls |  | ) | DECLARE_ABSTRACT_LOG4CXX_OBJECT(cls)